<!DOCTYPE html>
<html>

<head>
    <meta charset='UTF-8'>
    <title>Axios #02</title>
    <link rel='stylesheet' href='css/estilo.css'>
    <script src="js/axios.js"></script>
</head>

<body class="conteudo exercicio">
    <h1>Axios Get/Post</h1>
    <div id="get"></div>
    <div id="post"></div>

    <script>
        function exibirResultado(id, dados) {
            const texto = JSON.stringify(dados)
            document.getElementById(id).innerHTML = texto
        }
        
        axios('parOuImpar?numero=6').then(resp => exibirResultado('get', resp.data))

        axios.get('parOuImpar', {
            params: {
                numero: 5
            }
        }).then(resp => exibirResultado('get', resp.data))


        axios.post('formulario', {
            params: {
                nome: 'João',
                sobrenome: 'Silva'
            }
        }).then(resp => exibirResultado('post', resp.data))
    </script>
</body>